include:
  - apt.transport.https
  - apt.dependencies

{% set oscodename = grains['oscodename'] %}
{% set osmajorrelease = grains['osmajorrelease'] %}

saltstack-repo:
  pkgrepo.managed:
    - humanname: repo.saltstack.com
{%- if grains['osfinger'] == 'Debian-9' %}
    - name: deb https://repo.saltproject.io/py3/debian/9/amd64/3004 stretch main
{%- else %}
    - name: deb https://repo.saltproject.io/salt/py3/debian/{{ osmajorrelease }}/amd64/3006 {{ oscodename }} main
{%- endif %}
    - file: /etc/apt/sources.list.d/saltstack.list
    - clean_file: True
{%- if grains['osfinger'] == 'Debian-9' %}
    - key_url: https://repo.saltstack.com/py3/debian/9/amd64/latest/SALTSTACK-GPG-KEY.pub
{%- else %}
    - key_url: https://repo.saltproject.io/salt/py3/debian/{{ osmajorrelease }}/amd64/SALT-PROJECT-GPG-PUBKEY-2023.gpg
{%- endif %}
